
package hrt;

import integratedtoolkit.types.annotations.Constraints;
import integratedtoolkit.types.annotations.Method;
import integratedtoolkit.types.annotations.Parameter;
import integratedtoolkit.types.annotations.Parameter.Direction;
import integratedtoolkit.types.annotations.Parameter.Type;

public interface HRTItf {
	
        @Method(declaringClass = "hrt.HRTImpl")
        @Constraints(processorCPUCount = 1, memoryPhysicalSize = 1.0f)
        void modeling(
        		@Parameter(type = Type.STRING, direction = Direction.IN)
        		String scriptPath,

        		@Parameter(type = Type.FILE, direction = Direction.IN)
        		String confFile,

          		@Parameter(type = Type.STRING, direction = Direction.IN)
                String user,

                @Parameter(type = Type.INT, direction = Direction.IN)
                int index,

                @Parameter(type = Type.FILE, direction = Direction.OUT)
                String modelLog);
        
        @Method(declaringClass = "hrt.HRTImpl")
        @Constraints(processorCPUCount = 1, memoryPhysicalSize = 1.0f)
        void genConfigFile(
        		@Parameter(type = Type.STRING, direction = Direction.IN)
        		String startDate,
        		@Parameter(type = Type.STRING, direction = Direction.IN)
        		String duration,
        		@Parameter(type = Type.FILE, direction = Direction.OUT)
        		String confFile);
        
        @Method(declaringClass = "hrt.HRTImpl")
        @Constraints(processorCPUCount = 1, memoryPhysicalSize = 1.0f)
        void mergeMonitorLogs(
                @Parameter(type = Type.FILE, direction = Direction.INOUT)
                String partialFileA,
                
                @Parameter(type = Type.FILE, direction = Direction.IN)
                String partialFileB);
}
